Bug 169231 - [patch] Fix build for www/firefox using CLANG
[patch] Fix build for www/firefox using CLANG
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gecko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 05:00 UTC by Kevin Zheng
Modified: 2012-07-27 14:28 UTC (History)
0 users

See Also:


Attachments
file.diff (343 bytes, patch)
2012-06-19 05:00 UTC, Kevin Zheng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2012-06-19 05:00:32 UTC
FreeBSD is moving to the CLANG/LLVM compiler. Firefox currently fails to build using CLANG, complaining that "MMX instruction set not enabled". CLANG seems to treat MMX and SSE separately, and MMX must be explicitly added in CFLAGS. See the following link for more details:

http://www.mail-archive.com/freebsd-ports@freebsd.org/msg41830.html

Fix: Apply the following patch, if it makes sense. I'm not good with conditional makefiles.

Patch attached with submission follows:
How-To-Repeat: Add the following to /etc/make.conf:
CC=clang
CXX=clang++
CPP=clang-cpp

Attempt to build www/firefox (it doesn't work).
Comment 1 Edwin Groothuis freebsd_committer 2012-06-22 09:08:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gecko

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Florian Smeets freebsd_committer 2012-07-27 14:28:39 UTC
State Changed
From-To: open->closed

Should be fixed in the latest version